from django.contrib import admin
from .models import Author, Books

class BooksInline(admin.TabularInline):
    model = Books

class AuthorAdmin(admin.ModelAdmin):
    model = Author

    list_display = ('first_name', 'last_name', 'age', 'nationality', 'bio',)

    inlines = [BooksInline]

class BooksAdmin(admin.ModelAdmin):
    model = Books


admin.site.register(Author, AuthorAdmin)
admin.site.register(Books, BooksAdmin)

