from django.db import models
from django.urls import reverse

# Create your models here.
class Author(models.Model):
    first_name = models.CharField(max_length=100)
    last_name = models.CharField(max_length=100)
    age = models.IntegerField()
    nationality = models.CharField(max_length=20)
    bio = models.TextField(max_length=700)

    def __str__(self):
        return '{}, {}'.format(self.last_name, self.first_name)
    
    def get_absolute_url(self):
        return reverse('bookshelf:author-details', kwargs={'pk':self.pk})


    

class Books(models.Model):
    title = models.CharField(max_length=100)
    author = models.ForeignKey(
        Author, 
        on_delete=models.CASCADE
    )
    publisher = models.CharField(max_length=100)
    year_published = models.IntegerField()
    ISBN = models.IntegerField()
    blurb = models.TextField()

    def __str__(self):
        return '{}'.format(self.title)
    
    def get_absolute_url(self):
        return reverse('bookshelf:book-details', kwargs={'pk':self.pk})



