from django.urls import path

from .views import homepage_view, BooksListView, BooksDetailView, BooksCreateView, BooksUpdateView, AuthorListView, AuthorDetailView, AuthorCreateView, AuthorUpdateView

urlpatterns = [
    path('home/', homepage_view, name='home'),
    path('books/', BooksListView.as_view(), name='books-list'),
    path('books/<int:pk>/details', BooksDetailView.as_view(), name='book-details'),
    path('books/add/', BooksCreateView.as_view(), name='add-book'),
    path('books/<int:pk>/edit', BooksUpdateView.as_view(), name='edit-book'),
    path('authors/', AuthorListView.as_view(), name='authors-list'),
    path('authors/<int:pk>/details', AuthorDetailView.as_view(), name='author-details'),
    path('authors/add/', AuthorCreateView.as_view(), name='add-author'),
    path('authors/<int:pk>/edit', AuthorUpdateView.as_view(), name='edit-author'),
]

app_name = "bookshelf"
