from django.shortcuts import render
from django.views.generic.list import ListView
from django.views.generic.detail import DetailView
from django.views.generic.edit import CreateView, UpdateView

# Create your views here.
from .models import Books, Author


def homepage_view(request):
	return render(request, 'bookshelf/home.html', {'name': "Josh"})


class BooksListView(ListView):
	model = Books
	def get(self, request):
		return render(request, 'bookshelf/books.html', {'name': "Josh", 'books': self.model.objects.all()})


class BooksDetailView(DetailView):
	model = Books
	def get(self, request, pk):
		return render(request, 'bookshelf/book_details.html', {'book': self.model.objects.get(pk=pk)})
	
class BooksCreateView(CreateView):
	model = Books
	fields = '__all__'
	template_name = 'bookshelf/add-book.html'

class BooksUpdateView(UpdateView):
	model = Books
	fields = '__all__'
	template_name = 'bookshelf/edit-book.html'

class AuthorListView(ListView):
	model = Author
	def get(self, request):
		return render(request, 'bookshelf/authors.html', {'name': "Josh", 'authors': self.model.objects.all()})


class AuthorDetailView(DetailView):
	model = Author
	def get(self, request, pk):
		return render(request, 'bookshelf/author_details.html', {'author': self.model.objects.get(pk=pk)})
	
class AuthorCreateView(CreateView):
	model = Author
	fields = '__all__'
	template_name = 'bookshelf/add-author.html'

class AuthorUpdateView(UpdateView):
	model = Author
	fields = '__all__'
	template_name = 'bookshelf/edit-author.html'

